Subject: bug#75828: [PATCH] Correct make-frame docstring vis-a-vis make_frame.c

From: Ship Mints <[email-masked]>
Date: Sat, 25 Jan 2025 11:54:08 -0500

I'd be happy with a new defvar (not even a defcustom) and I'll bind it all
the time (except in packages where I'll bind it around make-frame calls).

On Sat, Jan 25, 2025 at 11:43 AM Ship Mints <[email-masked]> wrote:

> Not a new function, just a way to influence make_frame to not test the
> current buffer being hidden.
>
> On Sat, Jan 25, 2025 at 11:43 AM Eli Zaretskii <[email-masked]> wrote:
>
>> > From: Ship Mints <[email-masked]>
>> > Date: Sat, 25 Jan 2025 11:31:31 -0500
>> > Cc: [email-masked], [email-masked]
>> >
>> > I appreciate the tips and discussion.
>> >
>> > (let ((pop-up-frames t))
>> >   (pop-to-buffer " *string-pixel-width*"))
>> >
>> > is identical to the wonky snippet, first showing the unwanted buffer
>> then switching to the wanted buffer (and
>> > first paying the display cost for the original buffer).
>>
>> That still doesn't justify a new function, IMO.  But maybe Martin will
>> have even better suggestions.
>>
>